Threads
Delete a message
Deletes a single message from a thread.
DELETE
/v1/threads/{thread_id}/messages/{message_id}Authorization
APIKeyHeader api-key<token>
In: header
Path Parameters
thread_id*Thread Id
Format
uuidmessage_id*Message Id
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.haufe.ai/agents/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"error_code": "tool_message_has_no_matching_tool_call",
"detail": "Tool message id not found in an preceding assistant message's tool calls in the thread"
}{
"error_code": "thread_not_found",
"detail": "Thread not found"
}{
"error_code": "message_content_empty",
"detail": "Message content cannot be empty."
}{
"error_code": "rate_limit_gateway",
"detail": "Rate limit exceeded"
}{
"error_code": "internal_service_error",
"detail": "An internal service required for processing the request is currently unavailable. Please try again later."
}